/** @type {import('next').NextConfig} */
const nextConfig = {
  output: "export",
  images: {
    unoptimized: true,
  },
  // Ensure favicon files are included in the build
  webpack(config) {
    config.module.rules.push({
      test: /\.(ico|svg)$/,
      use: [
        {
          loader: "file-loader",
          options: {
            name: "static/[name].[ext]",
          },
        },
      ],
    })
    return config
  },
}

module.exports = nextConfig

